package com.jojubanking.boot.module.system.dal.mysql.kstype;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;
import com.jojubanking.boot.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.jojubanking.boot.framework.mybatis.core.mapper.BaseMapperX;
import com.jojubanking.boot.module.system.dal.dataobject.kstype.KsTypeDO;
import org.apache.ibatis.annotations.Mapper;
import com.jojubanking.boot.module.system.controller.admin.kstype.vo.*;

/**
 * 科室类别 Mapper
 *
 * @author admin
 */
@Mapper
public interface KsTypeMapper extends BaseMapperX<KsTypeDO> {

    default PageResult<KsTypeDO> selectPage(KsTypePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<KsTypeDO>()
                .likeIfPresent(KsTypeDO::getName, reqVO.getName())
                .betweenIfPresent(KsTypeDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(KsTypeDO::getId));
    }

    default List<KsTypeDO> selectList(KsTypeExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<KsTypeDO>()
                .likeIfPresent(KsTypeDO::getName, reqVO.getName())
                .betweenIfPresent(KsTypeDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(KsTypeDO::getId));
    }

}
